Search documents
View as MarkdownGET
/v1/workspaces/{workspaceId}/searchFull-text search over titles and bodies. Words are matched as prefixes; all words must match.
docs:readRead-only
curl "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/search?query=roadmap" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Query parameters
Default
20
Response
- hitsSearchHit[]
{
"hits": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"title": "Meeting notes",
"snippet": "string",
"score": 0
}
]
}Errors use one envelope for every endpoint. See Errors and versions.